-- #######################################
-- #######################################
-- PLAYER ENTER COMBAT
-- #######################################
-- #######################################
function GoH.events.PLAYER_REGEN_DISABLED()

		-- #######################################

		if GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Ready == "YES" then

			GoH_DND_Combat_Mode_On();

			-- RESET THE TIMER
			GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Time = 0;
			-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

		end

		-- #######################################

		if GoHv5_DeathKnight_Data.config.Use_Fight_Image == nil then
			GoHv5_DeathKnight_Data.config.Use_Fight_Image = "YES";
		end
		if GoHv5_DeathKnight_Data.config.Use_Fight_Image == "YES" then

			Show_Fight_Frame();

		end

end



-- #######################################
-- #######################################
-- PLAYER LEAVE COMBAT
-- #######################################
-- #######################################
function GoH.events.PLAYER_REGEN_ENABLED()

		-- #######################################
		
		if GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Ready == "YES" then

			GoH_DND_Combat_Mode_Off();
			
			-- RESET THE TIMER
			GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Secondary_Timer_Time = 0;
			-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

		end

		-- #######################################

		if GoHv5_DeathKnight_Data.config.Use_Fatality_Image == nil then
			GoHv5_DeathKnight_Data.config.Use_Fatality_Image = "YES";
		end
		if GoHv5_DeathKnight_Data.config.Use_Fatality_Image == "YES" then

			Show_Fatality_Frame();

		end

		-- #######################################
end

-- #######################################
-- #######################################
-- PLAYER ENTER PET BATTLE SOUNDS
-- #######################################
-- #######################################
function GoH.events.PET_BATTLE_OPENING_START()

	      if GoHv5_DeathKnight_Data.config.Menu_Pet_Music == "YES" then

				-- PLAY YOUR SOUND
				PlayMusic("Interface\\AddOns\\GoH\\Music\\EBPM.mp3");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

function GoH.events.PET_BATTLE_CLOSE()

	      if GoHv5_DeathKnight_Data.config.Menu_Pet_Music == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Clapping.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end

			-- STOP FIGHTING MUSIC
				StopMusic();
		

		-- #######################################
		-- #######################################
end

-- #######################################
-- #######################################
-- PLAYER ENTER AUCTION HOUSE SOUNDS
-- #######################################
-- #######################################
function GoH.events.AUCTION_HOUSE_SHOW()

	      if GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Auction_House_Open.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER CLOSE AUCTION HOUSE SOUNDS
-- #######################################
-- #######################################
function GoH.events.AUCTION_HOUSE_CLOSED()

	      if GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Auction_House_Close.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER MAIL SHOW SOUNDS
-- #######################################
-- #######################################
function GoH.events.MAIL_SHOW ()

	      if GoHv5_DeathKnight_Data.config.Menu_Mail_Show_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Mail_Open.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER MAIL CLOSED SOUNDS
-- #######################################
-- #######################################
function GoH.events.MAIL_CLOSED()

	      if GoHv5_DeathKnight_Data.config.Menu_Auction_House_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Mail_Close.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER MERCHANT SHOW SOUNDS
-- #######################################
-- #######################################
function GoH.events.MERCHANT_SHOW()

	      if GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Merchant_Open.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER MAIL CLOSED SOUNDS
-- #######################################
-- #######################################
function GoH.events.MERCHANT_CLOSED()

	      if GoHv5_DeathKnight_Data.config.Menu_Merchant_Show_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Merchant_Close.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER TRANSMOGRIFY_OPEN SOUNDS
-- #######################################
-- #######################################
function GoH.events.TRANSMOGRIFY_OPEN()

	      if GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Transmog_Open.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end

-- #######################################
-- #######################################
-- PLAYER TRANSMOGRIFY_CLOSE SOUNDS
-- #######################################
-- #######################################
function GoH.events.TRANSMOGRIFY_CLOSE()

	      if GoHv5_DeathKnight_Data.config.Menu_Transmogrify_Open_Sound == "YES" then

				-- PLAY YOUR SOUND
				PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Transmog_Close.mp3","Master");
				
				-- RESET THE TIMER
				GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "NO"; GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				-- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Ready);

			end
	


end



